#pragma once

#pragma pack(push,8)


//
// a structure defining a SMPTE time code frame
//

//typedef struct _SMPTE
//{
//    UCHAR           fu;         // frame units
//    UCHAR           u1;         // user group 1
//    UCHAR           ft;         // frame tens
//    UCHAR           u2;         // user group 2
//    UCHAR           su;         // second units
//    UCHAR           u3;         // user group 3
//    UCHAR           st;         // second tens
//    UCHAR           u4;         // user group 4
//    UCHAR           mu;         // minute units
//    UCHAR           u5;         // user group 5
//    UCHAR           mt;         // minute tens
//    UCHAR           u6;         // user group 6
//    UCHAR           hu;         // hour units
//    UCHAR           u7;         // user group 7
//    UCHAR           ht;         // hour tens
//    UCHAR           u8;         // user group 8
//} SMPTE, *PSMPTE;


//
// a structure defining an IRIG-B1 time code frame
//

//typedef struct _IRIG
//{
//    UCHAR           su;         // second units
//    UCHAR           st;         // second tens
//    UCHAR           mu;         // minute units
//    UCHAR           mt;         // minute tens
//    UCHAR           hu;         // hour units
//    UCHAR           ht;         // hour tens
//    UCHAR           du;         // day units
//    UCHAR           dt;         // day tens
//    UCHAR           dh;         // day hundreds
//    UCHAR           cf1;        // control functions 1 (TCR-500 v. 1.6+ only)
//    UCHAR           cf2;        // control functions 2 (TCR-500 v. 1.6+ only)
//    UCHAR           cf3;        // control functions 3 (TCR-500 v. 1.6+ only)
//    UCHAR           cf4;        // control functions 4 (TCR-500 v. 1.6+ only)
//    UCHAR           cf5;        // control functions 5 (TCR-500 v. 1.6+ only)
//    UCHAR           cf6;        // control functions 6 (TCR-500 v. 1.6+ only)
//    UCHAR           cf7;        // control functions 7 (TCR-500 v. 1.6+ only)
//} IRIG, *PIRIG;



//
// a structure defining TCRDRV version information
//

typedef struct _TCRDRVVER
{
    UCHAR           major;
    UCHAR           minor;
    UCHAR           revision;
    UCHAR           reserved;
} TCRDRVVER, *PTCRDRVVER;


//
// a structure to contain a time code frame read and
// associated statuses
//

//typedef struct _TIMEFRAME
//{
//	UCHAR			tcBuffer[8];	// Buffer for timecode to be read into
//	UCHAR			tcChecksum;		// timecode checksum
//	UCHAR			tcStatus;		// time/time code status
//
//    LARGE_INTEGER   intPerfCount;   // performance counter as of last interrupt
//
//    UCHAR           reserved1;
//    DWORD           hwStatus;				// hardware status
//
//    UCHAR           lchecksum;
//    UCHAR           rchecksum;
//    DWORD           reserved3;
//
//} TIMEFRAME, *PTIMEFRAME;


//
// a structure to contain time code and hardware/driver status information
//


//typedef struct _TCRDRVSTAT
//{
//    DWORD           tcStatus;               // time/time code status
//    DWORD           hwStatus;               // hardware status
//
//    DWORD           reserved1;
//    DWORD           reserved2;
//    DWORD           reserved3;
//
//} TCRDRVSTAT, *PTCRDRVSTAT;


#pragma pack(pop)

//
// Read time code statuses
//

#define TC_STATUS_NORMAL            0x00000000
#define TC_STATUS_INVALID           0x00000001
#define TC_STATUS_LOST              0x00000002
#define TC_STATUS_RESERVED          0x00000003 // for DLL compatibility
#define TC_STATUS_CALIBRATION       0x00000004

//
// Hardware status
//

//#define HW_STATUS_NORMAL            0x00000000
//#define HW_STATUS_CARDCOMMFAIL      0x00000001

//
// GPS-x00 operation statuses
//

//#define GPS_NORMAL                  0x00000000
//#define GPS_FREEWHEEL               0x00000001
